> For the complete documentation index, see [llms.txt](https://docs.rekor.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rekor.ai/command-intelligence-services/work-zone-activity-api/data-samples.md).

# Data Samples

This page provides samples of Work Zone data in JSON format, accessible through an API. These samples offer structured representations of various work zones

```json
{
    "type": "FeatureCollection",
    "feed_info": {
        "update_date": "2025-07-15T12:53:25.617Z",
        "publisher": "Rekor",
        "contact_name": "Rekor Command",
        "contact_email": "support@rekor.ai",
        "version": "4.2",
        "license": "https://creativecommons.org/publicdomain/zero/1.0/",
        "data_sources": [
            {
                "data_source_id": "1",
                "organization_name": "Rekor"
            }
        ]
    },
    "features": [
        {
            "type": "Feature",
            "geometry": {
                "type": "MultiPoint",
                "coordinates": [
                    [
                        -97.71201778405786,
                        30.320603913011936
                    ]
                ]
            },
            "id": "1182705",
            "properties": {
                "core_details": {
                    "event_type": "work-zone",
                    "data_source_id": "1",
                    "road_names": [
                        "2222"
                    ],
                    "direction": "northbound",
                    "name": "2222 at Airport Boulevard",
                    "creation_date": "2024-07-14T14:54:22.273Z",
                    "update_date": "2025-07-14T23:01:41.499Z"
                },
                "start_date": "2024-07-13T21:00:44.115Z",
                "end_date": "2025-10-14T23:01:41.725Z",
                "is_start_date_verified": true,
                "is_end_date_verified": false,
                "is_start_position_verified": false,
                "is_end_position_verified": false,
                "work_zone_type": "static",
                "location_method": "other",
                "vehicle_impact": "all-lanes-open",
                "lanes": [
                    {
                        "order": 5,
                        "type": "shoulder",
                        "status": "open"
                    },
                    {
                        "order": 4,
                        "type": "general",
                        "status": "open"
                    },
                    {
                        "order": 3,
                        "type": "general",
                        "status": "open"
                    },
                    {
                        "order": 2,
                        "type": "general",
                        "status": "open"
                    },
                    {
                        "order": 1,
                        "type": "shoulder",
                        "status": "open"
                    }
                ],
                "beginning_cross_street": "Airport Boulevard",
                "beginning_milepost": 536.0,
                "types_of_work": [
                    {
                        "type_name": "minor-road-defect-repair"
                    }
                ],
                "worker_presence": {
                    "are_workers_present": false,
                    "method": "scheduled",
                    "worker_presence_last_confirmed_date": "2024-07-14T14:54:22.275Z",
                    "confidence": "medium"
                }
            }
        }
    ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rekor.ai/command-intelligence-services/work-zone-activity-api/data-samples.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
